LINUX.ORG.RU

[gentoo, portage] kdenlive


0

1

При попытке установить kdenlive выдало следующее:

# emerge -av kdenlive

These are the packages that would be merged, in order:

Calculating dependencies                              ... done!
Traceback (most recent call last):
  File "/usr/bin/emerge", line 43, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1907, in emerge_main
    myopts, myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 302, in action_build
    mydepgraph.display_problems()
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 5998, in display_problems
    self._display_problems()
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 6019, in _display_problems
    self._show_slot_collision_notice()
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 702, in _show_slot_collision_notice
    self._dynamic_config._slot_conflict_handler = slot_conflict_handler(self)
  File "/usr/lib64/portage/pym/_emerge/resolver/slot_collision.py", line 129, in __init__
    self._prepare_conflict_msg_and_check_for_specificity()
  File "/usr/lib64/portage/pym/_emerge/resolver/slot_collision.py", line 346, in _prepare_conflict_msg_and_check_for_specificity
    if use in violated_atom.use.enabled.union(violated_atom.use.disabled):
AttributeError: 'NoneType' object has no attribute 'enabled'
Любые другие пакеты ставятся без проблем, revdep-rebuild проблем не находит.
emerge --info
# eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.1
  [3]   python3.2

а у меня вот так

[ root@desktop ] megabaks # USE="xml melt" emerge -av kdenlive

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-libs/qjson-0.7.1-r1  USE="-debug -doc -test" 38 kB [0]
[ebuild  N     ] media-libs/mlt-0.7.2-r2  USE="ffmpeg gtk jpeg kde libsamplerate melt mmx python qt4 quicktime sdl sse sse2 vdpau vorbis xml -8bpp-lumas -compressed-lumas -debug -dv -frei0r -jack -lua -ruby -sox -swfdec -xine" 881 kB [1]
[ebuild  N     ] media-video/kdenlive-0.8  USE="(-aqua) -debug (-kdeenablefinal) -semantic-desktop" LINGUAS="ru -ca -cs -da -de -el -es -et -fi -fr -gl -he -hr -hu -it -nl -pl -pt -pt_BR -sl -tr -uk -zh -zh_CN -zh_TW" 3,608 kB [1]

Total: 3 packages (3 new), Size of downloads: 4,526 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage/layman/aluco

Would you like to merge these packages? [Yes/No] 
ЧЯДНТ?
о какой версии речь то? 0.8?

megabaks ★★★★ ()
Ответ на: комментарий от megabaks
~ #  USE="xml melt" emerge -av kdenlive

These are the packages that would be merged, in order:

Calculating dependencies                                ... done!
Traceback (most recent call last):
  File "/usr/bin/emerge", line 43, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1907, in emerge_main
    myopts, myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 302, in action_build
    mydepgraph.display_problems()
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 5998, in display_problems
    self._display_problems()
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 6019, in _display_problems
    self._show_slot_collision_notice()
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 702, in _show_slot_collision_notice
    self._dynamic_config._slot_conflict_handler = slot_conflict_handler(self)
  File "/usr/lib64/portage/pym/_emerge/resolver/slot_collision.py", line 129, in __init__
    self._prepare_conflict_msg_and_check_for_specificity()
  File "/usr/lib64/portage/pym/_emerge/resolver/slot_collision.py", line 346, in _prepare_conflict_msg_and_check_for_specificity
    if use in violated_atom.use.enabled.union(violated_atom.use.disabled):
AttributeError: 'NoneType' object has no attribute 'enabled'

ЧЯДНТ?
С любой версией. (Available versions: 0.7.8 (~)0.8)

sumrak_ss ★★ ()

Попробуй другую версию portage.

HTaeD ★★★★ ()
Ответ на: комментарий от aptyp

У меня на стабильной генте

aptyp@localhost ~ $ sudo USE="melt X encode" emerge -av kdenlive

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] media-libs/sdl-image-1.2.10-r1  USE="png -gif -jpeg -static-libs -tiff" 1,302 kB
[ebuild  N    ] media-libs/vo-aacenc-0.1.1  USE="-examples (-neon) -static-libs" 567 kB
[ebuild  N    ] media-libs/mlt-0.5.10  USE="ffmpeg kde melt mmx python qt4 sdl sse sse2 xml -compressed-lumas -debug -dv -frei0r -gtk -jack -libsamplerate -lua -quicktime -ruby -vdpau -vorbis -xine" 801 kB                                                              
[ebuild   R   ] media-video/ffmpeg-0.7_rc1  USE="X* aac alsa encode* mmx mp3 sdl threads truetype v4l v4l2 vaapi x264 xvid -3dnow -3dnowext (-altivec) -amr -avx -bindist -bzip2 (-celt) -cpudetection -custom-cflags -debug -dirac -doc -faac -frei0r -gsm -hardcoded-tables -ieee1394 -jack -jpeg2k -mmxext -network -oss -pic -qt-faststart -rtmp -schroedinger -speex -ssse3 -static-libs -test -theora -vdpau -vorbis -vpx -zlib" VIDEO_CARDS="-nvidia" 0 kB
[ebuild   R   ] virtual/ffmpeg-0.6.90  USE="X* encode* mp3 sdl threads vaapi x264 -jpeg2k -theora -vdpau" 0 kB
[ebuild  N    ] media-video/kdenlive-0.7.8  USE="(-aqua) -debug (-kdeenablefinal) -semantic-desktop" LINGUAS="ru -ca -cs -da -de -el -es -fi -fr -gl -he -hr -hu -it -nl -pl -pt -pt_BR -sl -tr -uk -zh" 3,157 kB                                                          

Total: 6 packages (4 new, 2 reinstalls), Size of downloads: 5,826 kB

aptyp ★★★★ ()

Видимо, повреждена часть portage. emerge находит конфликт слотов, вызывает slot_collision.py, но тот сломан, emerge падает. Попробуй python-updater.

gentoo_root ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.